﻿#レジストリキーから値を取得する
#存在しない場合は$nullを返す
function Get-RegistryValue {
    param (
        [Parameter(Mandatory)][string]$key,
        [Parameter(Mandatory)][string]$value
    )

    try {
        $registryValue = Get-ItemProperty -Path $key -Name $value -ErrorAction Stop
        return $registryValue.$value
    } catch {
        return $null
    }
}

