﻿#指定したサービスが起動しているかどうか
function Test-ServiceRunning {
    param (
        [Parameter(Mandatory)][string]$serviceName
    )

    $service = Get-Service -Name $serviceName -ErrorAction SilentlyContinue

    if ($service -and $service.Status -eq 'Running') {
        return $true
    } else {
        return $false
    }
}

#指定したサービスが自動起動になっているかどうか
function Test-ServiceAutoStartup {
    param (
        [Parameter(Mandatory)][string]$ServiceName
    )

    # サービスの情報を取得
    $service = Get-Service -Name $ServiceName -ErrorAction SilentlyContinue

    if ($service.StartType -eq 'Automatic') {
        return $true
    } else {
        return $false
    }
}